## faac faac |

## Properties

gint | bitrate | Read / Write / Construct
gboolean | midside | Read / Write / Construct
GstFaacOutputFormat | outputformat | Read / Write
GstFaacProfile | profile | Read / Write
GstFaacShortCtl | shortctl | Read / Write / Construct
gboolean | tns | Read / Write / Construct
gint | quality | Read / Write / Construct
GstFaacBrtype | rate-control | Read / Write / Construct

## Types and Values

struct | GstFaac

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstFaac

## Implemented Interfaces

GstFaac implements GstPreset.

## Description

faac encodes raw audio to AAC (MPEG-4 part 3) streams.

### Example launch line

    1
    gst-launch-1.0 audiotestsrc wave=sine num-buffers=100 ! audioconvert ! faac ! matroskamux ! filesink location=sine.mkv

Encode a sine beep as aac and write to matroska container.

## Synopsis

### Element Information

plugin | faac
author | Ronald Bultje <rbultje@ronald.bitfreak.net>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)1
| audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)2, channel-mask=(bitmask)0x0000000000000003
| audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)3, channel-mask=(bitmask)0x0000000000000007
| audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)4, channel-mask=(bitmask)0x0000000000000107
| audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)5, channel-mask=(bitmask)0x0000000000000037
| audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)6, channel-mask=(bitmask)0x000000000000003f

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)4, channels=(int)[ 1, 6 ], rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, stream-format=(string){ adts, raw }, base-profile=(string){ main, lc, ssr, ltp }, framed=(boolean)true
| audio/mpeg, mpegversion=(int)2, channels=(int)[ 1, 6 ], rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, stream-format=(string){ adts, raw }, profile=(string){ main, lc }, framed=(boolean)true

## Functions

## Types and Values

### struct GstFaac

    struct GstFaac;

## Property Details

### The `“bitrate”` property

      “bitrate”                  gint

Average Bitrate (ABR) in bits/sec.

Flags: Read / Write / Construct

Allowed values: [8000,320000]

Default value: 128000

### The `“midside”` property

      “midside”                  gboolean

Allow mid/side encoding.

Flags: Read / Write / Construct

Default value: TRUE

### The `“outputformat”` property

      “outputformat”             GstFaacOutputFormat

Format of output frames.

Flags: Read / Write

Default value: OUTPUTFORMAT_RAW

### The `“profile”` property

      “profile”                  GstFaacProfile

MPEG/AAC encoding profile.

Flags: Read / Write

Default value: LC

### The `“shortctl”` property

      “shortctl”                 GstFaacShortCtl

Block type encorcing.

Flags: Read / Write / Construct

Default value: SHORTCTL_NORMAL

### The `“tns”` property

      “tns”                      gboolean

Use temporal noise shaping.

Flags: Read / Write / Construct

Default value: FALSE

### The `“quality”` property

      “quality”                  gint

Variable bitrate (VBR) quantizer quality in %.

Flags: Read / Write / Construct

Allowed values: [1,1000]

Default value: 100

### The `“rate-control”` property

      “rate-control”             GstFaacBrtype

Encoding bitrate type (VBR/ABR).

Flags: Read / Write / Construct

Default value: VBR

## See Also

faad